### Constructor

# RB RhythmDBQueryModel new_for_entry_type

#### Declaration [src]

    RhythmDBQueryModel*
    rhythmdb_query_model_new_for_entry_type (
      RhythmDB* db,
      RhythmDBEntryType* entry_type,
      gboolean show_hidden
    )

#### Description

No description available.

#### Parameters

`db`

  Type: `RhythmDB`

  The `RhythmDB`.

  The data is owned by the caller of the function.

`entry_type`

  Type: `RhythmDBEntryType`

  The `RhythmDBEntryType` to display.

  The data is owned by the caller of the function.

`show_hidden`

  Type: `gboolean`

  If `TRUE`, show hidden entries.

#### Return value

Type: `RhythmDBQueryModel`

The newly constructed query model.

The caller of the function takes ownership of the data, and is responsible for freeing it.